Bug 485563 - Review Request: fsarchiver - Safe and flexible file-system backup/deployment tool
Review Request: fsarchiver - Safe and flexible file-system backup/deployment ...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Fabian Affolter
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-14 08:58 EST by Adel Gadllah
Modified: 2009-03-04 11:21 EST (History)
3 users (show)

See Also:
Fixed In Version: 0.4.3-1.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-04 11:21:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mail: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Adel Gadllah 2009-02-14 08:58:50 EST
Spec URL: http://193.200.113.196/apache2-default/rpm/fsarchiver.spec
SRPM URL: http://193.200.113.196/apache2-default/rpm/fsarchiver-0.4.1-1.fc10.src.rpm
Description: 
fsarchiver can backup filesystems and restore the result
on a different filesystem (even if the type and the
size of the new differs) while preserving attributes like 
permissions, timestamps, symbolic-links,hard-links,
extended-attributes, ...

Koji scartch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1126566
rpmlint:
"3 packages and 1 specfiles checked; 0 errors, 0 warnings"
Comment 1 Fabian Affolter 2009-02-15 09:40:35 EST
Package Review
==============

Package: 

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec.
 [x] Package meets the Packaging Guidelines
 [?] Package successfully compiles and builds into binary RPMs on at least one
supported architecture.
     Tested on: F10/i386
 [x] Rpmlint output:
     Source RPM:
     [fab@laptop24 SRPMS]$ rpmlint fsarchiver-0.4.1-1.fc10.src.rpm 
     1 packages and 0 specfiles checked; 0 errors, 0 warnings.
     Binary RPM(s):
     [fab@laptop24 i386]$ rpmlint fsarchiver*
     2 packages and 0 specfiles checked; 0 errors, 0 warnings.
 [x] Package is not relocatable.
 [x] Buildroot is correct
     master   : %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
     spec file: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 [x] Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type: GPLv2
 [x] If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.

 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided
in the spec URL.
     Upstream source: f7546bbbe4d71fe600b5e93a90def948
     Build source:    f7546bbbe4d71fe600b5e93a90def948
 [x] Package is not known to require ExcludeArch.
 [x] All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.  %find_lang used for locales.
 [x] %{optflags} or RPM_OPT_FLAGS are honoured.
 [-] ldconfig called in %post and %postun if required.
 [x] %install starts with rm -rf %{buildroot} or $RPM_BUILD_ROOT.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not own files or directories owned by other packages.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly. %defattr(-,root,root,-) is in every %files section.
 [x] Package uses nothing in %doc for runtime.
 [x] Package has a %clean section, which contains rm -rf %{buildroot} or $RPM_BUILD_ROOT.
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.

 [-] Large documentation files are in a -doc subpackage, if required.
 [-] Header files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Package does not contain any libtool archives (.la).
 [x] -debuginfo subpackage is present and looks complete.
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI application.

=== SUGGESTED ITEMS ===
 [-] Timestamps preserved with cp and install.
 [x] Uses parallel make (%{?_smp_mflags})
 [x] Latest version is packaged.
 [-] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains
translations for supported Non-English languages, if available.
 [?] Reviewer should test that the package builds in mock.
     Tested on: F10/i386
 [x] Package should compile and build into binary RPMs on all supported
architectures.
     Tested:  http://koji.fedoraproject.org/koji/taskinfo?taskID=1128367
 [x] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.
 [x] Changelog in allowed format

The description needs some love from my point of view.  Why not take the description from the README file.

FSArchiver is a system tool that allows you to save the contents of a 
file-system to a compressed archive file. The file-system can be restored 
on a partition which has a different size and it can be restored on a 
different file-system. Unlike tar/dar, FSArchiver also creates the 
file-system when it extracts the data to partitions. Everything is 
checksummed in the archive in order to protect the data. If the archive 
is corrupt, you just loose the current file, not the whole archive.

I see no further blocker, package APPROVED.  Please fix the description before you import the package into the cvs.
Comment 2 Adel Gadllah 2009-02-15 10:00:12 EST
(In reply to comment #1)

> The description needs some love from my point of view.  Why not take the
> description from the README file.
> 
> FSArchiver is a system tool that allows you to save the contents of a 
> file-system to a compressed archive file. The file-system can be restored 
> on a partition which has a different size and it can be restored on a 
> different file-system. Unlike tar/dar, FSArchiver also creates the 
> file-system when it extracts the data to partitions. Everything is 
> checksummed in the archive in order to protect the data. If the archive 
> is corrupt, you just loose the current file, not the whole archive.
> 
> I see no further blocker, package APPROVED.  Please fix the description before
> you import the package into the cvs.

Agreed, fixed in 0.4.1-2.

Thanks for the review.
Comment 3 Adel Gadllah 2009-02-15 10:02:06 EST
New Package CVS Request
=======================
Package Name: fsarchiver
Short Description: Safe and flexible file-system backup/deployment tool
Owners: drago01
Branches: F-9 F-10
InitialCC:
Comment 4 Kevin Fenzi 2009-02-16 16:13:49 EST
cvs done.
Comment 5 Fedora Update System 2009-02-28 08:42:48 EST
fsarchiver-0.4.3-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/fsarchiver-0.4.3-1.fc10
Comment 6 Fedora Update System 2009-03-04 11:21:14 EST
fsarchiver-0.4.3-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.